export interface SelectionChange<T> {
    source: SelectionModel<T>;
    added: T[];
    removed: T[];
}
export declare class SelectionModel<T> {
    private multiple;
    private emitChanges;
    private selection;
    private deselectedToEmit;
    private selectedToEmit;
    private selected;
    private changed;
    get isEmpty(): boolean;
    get isNotEmpty(): boolean;
    get isMultipleSelection(): boolean;
    constructor(initValues?: T[], multiple?: boolean, emitChanges?: boolean);
    select(...values: T[]): void;
    deselect(...values: T[]): void;
    toggle(value: T): void;
    clear(): void;
    isSelected(value: T): boolean;
    sort(predicate: (x: T, y: T) => number): void;
    watchChangeEvent(hook: (value: SelectionChange<T>) => void): void;
    private emitChangeEvent;
    private markSelected;
    private unmarkSelected;
    private unmarkAll;
    private verifyValueAssignment;
}
