import { InjectionKey, Ref } from "vue";
import Schema, { Rules, ErrorList, FieldErrorList } from "async-validator";
export default class FormModelService<T> {
    static token: InjectionKey<FormModelService<unknown>>;
    token: InjectionKey<FormModelService<unknown>>;
    data: Ref<T>;
    rules: Rules;
    schema: Schema;
    errorList: Ref<ErrorList>;
    fieldErrors: Ref<FieldErrorList>;
    valid: Ref<boolean>;
    focused: Ref<{
        [key: string]: boolean;
    }>;
    constructor(data: T);
    setRules(rules: Rules): void;
    validate(): void;
}
