import { OverlayState } from "./overlay_state";
import { OverlayConfig } from "./overlay_config";
import { GlobalPositionStrategy } from "./position/global_position_strategy";
import { FlexiblePositionStrategy, FlexiblePositionStrategyOrigin } from "./position/flexible_position_strategy";
/**
 * @description
 * overlay service.
 *
 * @date 2020-09-14
 * @export
 * @interface OverlayService
 */
export declare class OverlayService {
    private hostElement;
    private body;
    constructor(hostElement: HTMLElement, body: HTMLElement);
    create(config: OverlayConfig): OverlayState;
    createPositionStrategy(type: "global"): GlobalPositionStrategy;
    createPositionStrategy(type: "flexible", origin: FlexiblePositionStrategyOrigin): FlexiblePositionStrategy;
}
