import { Ref } from "vue";
export interface ViewportScrollPosition {
    top: number;
    left: number;
}
export interface ViewportSize {
    width: number;
    height: number;
}
export interface ViewportRect {
    top: number;
    left: number;
    bottom: number;
    right: number;
    height: number;
    width: number;
}
/**
 * not reactive viewport size
 * cause none reactive run well in performance
 * and shoud be used by other viewport considered component
 * only get size once for default
 *
 * @export
 * @class
 */
export default class {
    viewportSize: Ref<{
        width: number;
        height: number;
    }>;
    viewportRect: Ref<ViewportRect>;
    private isBrowser;
    /**
     * change windowSize
     *
     * @private
     */
    updateViewportSize: () => void;
    /**
     * get viewport position by top left corner position
     *
     * @private
     */
    private getViewportScrollPosition;
    constructor();
}
