import { Ref } from "vue";
import Scrollable from "./scrollable";
interface ItemData {
    [key: string]: any;
    _active?: boolean;
    _itemHeight?: number;
    _defaultHeight?: number;
}
export default class {
    items: ItemData[];
    displayItems: ItemData[];
    defaultHeight: number;
    beforeHeight: number;
    totalHeight: number;
    /**
     * scrollable container
     *
     */
    containerRef: Ref<HTMLElement | null>;
    scrollable: Scrollable;
    scrollTop: number;
    mark: () => void;
    dirty: Ref<any>;
    /**
     * scroll listener
     *
     */
    handleChange: () => void;
    constructor(items: ItemData[]);
    /**
     * scroll to certain position
     *
     * @param {ScrollToOptions} opt
     */
    scrollTo(opt: ScrollToOptions): void;
}
export {};
